Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class RepeaterJXPathCollection

    java.lang.Object
      org.apache.cocoon.forms.binding.RepeaterJXPathCollection

public class RepeaterJXPathCollection
extends Object

Implements a collection that takes care about removed, updated and inserted elements, obtaining from a `RepeaterAdapter` all the needed objects.

Version:
  $Id: RepeaterJXPathCollection.java 587759 2007-10-24 03:00:37Z vgritsenko $

Constructor Summary
`RepeaterJXPathCollection()`

Method Summary
`void` | `addRow(Repeater.RepeaterRow row)`
`void` | `addRow(RepeaterItem item)`
`void` | `deleteRow(RepeaterItem item)`
`void` | `filter(String field, Object value)`
`void` | `flushCachedItems()`
`int` | `getActualCollectionSize()`
`RepeaterAdapter` | `getAdapter()`
`List` | `getCachedItems()`
`List` | `getDeletedRows()`
`List` | `getInsertedRows()`
`List` | `getItems(int start, int length)`
`int` | `getOriginalCollectionSize()`
`org.apache.commons.jxpath.JXPathContext` | `getStorageContext()`
`Collection` | `getUpdatedRows()`
`void` | `init(org.apache.commons.jxpath.JXPathContext storageContext, String rowpath, RepeaterAdapter adapter)`
`void` | `sortBy(String field)`
`void` | `updateRow(RepeaterItem item)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeaterJXPathCollection

    public RepeaterJXPathCollection()

Method Detail

### init

    public void init(org.apache.commons.jxpath.JXPathContext storageContext,
                     String rowpath,
                     RepeaterAdapter adapter)

### getItems

    public List getItems(int start,
                         int length)

### getCachedItems

    public List getCachedItems()

### flushCachedItems

    public void flushCachedItems()

### updateRow

    public void updateRow(RepeaterItem item)

### deleteRow

    public void deleteRow(RepeaterItem item)

### addRow

    public void addRow(RepeaterItem item)

### getOriginalCollectionSize

    public int getOriginalCollectionSize()

### getActualCollectionSize

    public int getActualCollectionSize()

### getStorageContext

    public org.apache.commons.jxpath.JXPathContext getStorageContext()

### getDeletedRows

    public List getDeletedRows()

### getInsertedRows

    public List getInsertedRows()

### getUpdatedRows

    public Collection getUpdatedRows()

### getAdapter

    public RepeaterAdapter getAdapter()

### addRow

    public void addRow(Repeater.RepeaterRow row)

### sortBy

    public void sortBy(String field)

### filter

    public void filter(String field,
                       Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.